--- title: "getNasVolumeAccessControlRuleList" slug: "compute-server-getnasvolumeaccesscontrolrulelist" updated: 2026-09-17T10:12:27Z published: 2026-09-17T10:12:27Z canonical: "api.ncloud-docs.com/compute-server-getnasvolumeaccesscontrolrulelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getNasVolumeAccessControlRuleList Available in Classic View the list of access control rules set on a NAS volume instance. ## Requests The following describes the request format for the endpoint. The request format is as follows. | Method | URI | | --- | --- | | GET \| POST | /server/v2/getNasVolumeAccessControlRuleList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all NAS APIs, see [NAS request headers](/docs/en/nas-overview-classic#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `nasVolumeInstanceNo` | String | Required | NAS volume instance number for which you want to view access control rules - See [getNasVolumeInstanceList](/docs/en/compute-server-getnasvolumeinstancelist) | ### Request example The following is a sample request. ``` curl --location 'https://ncloud.apigw.ntruss.com/server/v2/getNasVolumeAccessControlRuleList ?nasVolumeInstanceNo=23420000' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Responses The following describes the response format. ### Response body See [NasVolumeAccessControlRuleList](/docs/en/common-apidatatype-nasvolumeaccesscontrolrulelist#%ED%95%84%EB%93%9C) for the response body. ### Response status codes For information about the HTTP status codes common to all NAS APIs, see [NAS response status codes](/docs/en/nas-overview-classic#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "getNasVolumeAccessControlRuleListResponse": { "totalRows": 1, "nasVolumeAccessControlRuleList": [ { "serverInstanceNo": "23500000", "readAccess": true, "writeAccess": true } ], "requestId": "0000c8ba-1309-4061-bce0-0c2ebb220000", "returnCode": "0", "returnMessage": "success" } } ```